com.ihr.xbrl.om.formula

## Enum ExecutionTargetType

- java.lang.Object
- - java.lang.Enum<ExecutionTargetType>
  - - com.ihr.xbrl.om.formula.ExecutionTargetType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExecutionTargetType>

      public enum ExecutionTargetType
      extends java.lang.Enum<ExecutionTargetType>

  The Enum ExecutionTargetType.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSISTENCYCHECK` This means the formula is going to produce information for Consistency Assertions.
    `FORMULA` This means the formula is going to produce information for producing facts to be included in a target instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutionTargetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExecutionTargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORMULA

          public static final ExecutionTargetType FORMULA

      This means the formula is going to produce information for producing facts to be included in a target instance. During the formula evaluation no special information will be collected. This is the default value on formulas.

    - #### CONSISTENCYCHECK

          public static final ExecutionTargetType CONSISTENCYCHECK

      This means the formula is going to produce information for Consistency Assertions. This means the during the formula evaluation all generated facts will be stored in a Set so the consistency assertion would be able to recognize which formula generated which fact. This information is required, for example when obtaining the value of the aspectModel applicable for a matching facts in a variable set used during the consistency check evaluation

  - ### Method Detail

    - #### values

          public static ExecutionTargetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutionTargetType c : ExecutionTargetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutionTargetType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null